<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NodeStats](./bitburner.nodestats.md)

## NodeStats interface

Object representing all the values related to a hacknet node.

**Signature:**

```typescript
interface NodeStats 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[cache?](./bitburner.nodestats.cache.md)


</td><td>


</td><td>

number


</td><td>

_(Optional)_ Cache level. Only applicable for Hacknet Servers


</td></tr>
<tr><td>

[cores](./bitburner.nodestats.cores.md)


</td><td>


</td><td>

number


</td><td>

Node's number of cores


</td></tr>
<tr><td>

[hashCapacity?](./bitburner.nodestats.hashcapacity.md)


</td><td>


</td><td>

number


</td><td>

_(Optional)_ Hash Capacity provided by this Node. Only applicable for Hacknet Servers


</td></tr>
<tr><td>

[level](./bitburner.nodestats.level.md)


</td><td>


</td><td>

number


</td><td>

Node's level


</td></tr>
<tr><td>

[name](./bitburner.nodestats.name.md)


</td><td>


</td><td>

string


</td><td>

Node's name


</td></tr>
<tr><td>

[production](./bitburner.nodestats.production.md)


</td><td>


</td><td>

number


</td><td>

Node's production per second


</td></tr>
<tr><td>

[ram](./bitburner.nodestats.ram.md)


</td><td>


</td><td>

number


</td><td>

Node's RAM (GB)


</td></tr>
<tr><td>

[ramUsed?](./bitburner.nodestats.ramused.md)


</td><td>


</td><td>

number


</td><td>

_(Optional)_ Node's used RAM (GB)


</td></tr>
<tr><td>

[timeOnline](./bitburner.nodestats.timeonline.md)


</td><td>


</td><td>

number


</td><td>

Number of seconds since Node has been purchased


</td></tr>
<tr><td>

[totalProduction](./bitburner.nodestats.totalproduction.md)


</td><td>


</td><td>

number


</td><td>

Total number of money Node has produced


</td></tr>
</tbody></table>

